import { DesiredCapabilities, ServerConfig } from "@thekla/config";
import { BrowserWindow } from "./BrowserWindow";
import { TkSession } from "./TkSession";
import { FrameFinder, WebFinder } from "./WebElements";
import { Condition } from "../lib/Condition";
export interface ScreenshotOptions {
    size?: ScreenshotSize;
}
export interface ScreenshotSize {
    width?: number;
    height?: number;
}
export interface BrowserScreenshotData {
    browserName: string;
    browserScreenshotData: string;
}
export interface CreateClient {
    serverConfig: ServerConfig;
    capabilities: DesiredCapabilities;
    clientName?: string;
    sessionId?: string;
}
export interface Browser extends WebFinder, FrameFinder {
    window: BrowserWindow;
    capabilities: {
        [key: string]: any;
    };
    get(url: string): Promise<any>;
    getCurrentUrl(): Promise<string>;
    quit(): Promise<void>;
    wait(condition: Condition, timeout?: number, errorMessage?: string): Promise<string>;
    getTitle(): Promise<string>;
    takeScreenshot(options?: ScreenshotOptions): Promise<BrowserScreenshotData>;
    saveScreenshot(filepath: string, filename: string): Promise<string>;
    scrollTo({ x, y }: {
        x: number;
        y: number;
    }): Promise<void>;
    executeScript(func: Function, ...funcArgs: any[]): Promise<{}>;
    getSession(): Promise<TkSession>;
    getWindowHandles(): Promise<string[]>;
    createWindow(): Promise<string>;
    createTab(): Promise<string>;
    closeWindow(): Promise<void>;
    switchToWindow(handle: string): Promise<void>;
    switchToWindowMatchingTheTitle(title: string): Promise<void>;
    uploadFile(filePath: string): Promise<string>;
}
//# sourceMappingURL=Browser.d.ts.map