import { DesiredCapabilities, ServerConfig } from "@thekla/config";
import { Browser, BrowserScreenshotData, ScreenshotOptions } from "../../interface/Browser";
export declare class ClientHelper {
    private config;
    withCapabilities(capabilities: DesiredCapabilities): Browser;
    constructor(config: ServerConfig);
    static create(conf: ServerConfig, capabilities: DesiredCapabilities, clientName?: string): Browser;
    static attachToSession(conf: ServerConfig, capabilities: DesiredCapabilities, sessionId: string, clientName?: string): Browser;
    static cleanup(browserToClean?: Browser[], cleanAttachedSession?: boolean): Promise<void[]>;
    static get availableSessions(): string[];
    static get availableAttachedSessions(): string[];
    static getClient(clientName: string): Browser | undefined;
    static takeScreenshots(options?: ScreenshotOptions): Promise<BrowserScreenshotData[]>;
    static saveScreenshots(filepath: string, baseFileName: string): Promise<string[]>;
}
export declare function cleanupClients(browserMap: Map<string, Browser>, browserToClean?: Browser[]): Promise<void[]>;
//# sourceMappingURL=ClientHelper.d.ts.map